<%
If saferequest("shopid")<>"" And Not isnumeric(saferequest("shopid"))  Then
	 response.redirect"../../note.jsp?errid=0"
End If
If request("shopid")="" Then 
	 response.redirect"../../note.jsp?errid=0"
End If
%>
<!--#include file="../../FHeadTitle.jsp"-->
<!--#include file="../../FFunction.jsp"-->
<!--#include file="../../inc/page1.jsp"-->
<%
set rsuser = conn.execute("select * from shop where id="&saferequest("shopid")&"")
if rsuser.eof then
response.redirect"../../note.jsp?errid=5"
Response.end
end If
if rsuser("fee")=0 then
freenote="该店铺为免费店铺"
end if
Select case rsuser("zt")
   case "0"
        response.redirect"../../note.jsp?errid=7"
		Response.end
   case "3"
	    response.redirect"../../note.jsp?errid=8"
		Response.end
   case "4"
	    response.redirect"../../note.jsp?errid=9"
		Response.end
End Select
conn.execute("Update shop set jishu=jishu+1 where id="&saferequest("shopid")&"")
conn.execute("Update shop set zt=3 where sj3<getdate()")
If rsuser("dpmb")<>1 Then  
Select case rsuser("dpmb")
      case "2"
	   Response.redirect "../2/myshop2.jsp?shopid="&saferequest("shopid")&""
		Response.end
   case "3"
	    Response.redirect "../3/myshop3.jsp?shopid="&saferequest("shopid")&""
		Response.End
	case "4"
	    Response.redirect "../4/myshop4.jsp?shopid="&saferequest("shopid")&""
		Response.End
	case "5"
	    Response.redirect "../5/myshop5.jsp?shopid="&saferequest("shopid")&""
		Response.End
	case "6"
	    Response.redirect "../6/myshop6.jsp?shopid="&saferequest("shopid")&""
		Response.End
	case "7"
	    Response.redirect "../7/myshop7.jsp?shopid="&saferequest("shopid")&""
		Response.end
End Select
End if

%>
<!--#include file="../../inc/shopinfo.jsp"-->
<html xmlns="http://www.w3.org/1999/xhtml">
            <style type="text/css">
<!--
.STYLE1 {font-weight: bold}
-->
            </style>
<head>
<title><%=my_name%> -- <%=shopname%></title>
    <meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
        <meta name="description" content="网上购物,店铺,特色店铺,<%=shopname%>. />
        <meta name="keywords" content="网上购物,店铺,特色店铺,<%=shopname%>." />
    <style type="text/css" media="screen">
@import url("../../css/v1.2.php@t=2006512.css");
    </style>

        <script src="../../css/common.js?t=20050304" language="javascript" type="text/javascript"></script>
    <script src="../../css/common.js?t=20050304" type="text/javascript"></script>
        <script language="javascript" type="text/javascript">
    //<![CDATA[
    var ver=navigator.appVersion;
    if(ver.indexOf("MSIE 5")!=-1)
    	document.write('<link href="../../home/css/shop/red_ie5.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    else
    	document.write('<link href="../../home/css/shop/red.css" rel="stylesheet" rel="stylesheet" type="text/css" media="screen" />');
    //]]>
    </script>
</head>
</div>
<!--#include file="../../fheadall.jsp" -->
<div class="HackBox"></div>
<div id="Content">
<div id="ShopFP">

	<div id="PathBar" ><a href="../../index.jsp">您的位置：首页</a> >> <a href="../../shopindex.jsp?PageType=B">所有店铺</a> >> <%=shopname%>
		</div>
	<div id="NavBar">
		<div id="NBShopName"><%=shopname%></div>
		<div id="NBPersonalInfo"><a href="myshopjs.jsp?shopid=<%=saferequest("shopid")%>">【店铺介绍】</a></div>
		<div id="NBCredit"><a href="../../renzhengshow.jsp?huiyuan=<%=huiyuan%>&shopid=<%=saferequest("shopid")%>">【信用评价】</a></div>

	</div>
	<div id="ShopInfo">
		<div id="PicAndFav">
			<div id="ShopPic">
				<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
					<td align="center">
<div style="clear:both"><img src="../../members/images/logo/<%If shoplogo<>"" then%><%=shoplogo%><%else%>user_logo.gif<%End if%>" height="50" width=120 alt="店标"></div></td>
					</tr>
				</table>
			</div>
			<div id="AddToFav">
		<a href="../../members/shoucang.jsp?type=2&id=<%=saferequest("shopid")%>">收藏本店铺</a>
		  </div><br></nobr>
		  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="../../zhanneixin/fa.jsp?huiyuan=<%=huiyuan%>" target=_blank><B>给掌柜发信</B></a></div>
		
		<div id="ShopInfoList">
			<ul>
				<li><span class="ListHint">　　掌柜:</span><%=username%> 					

<%rz = conn.execute("select rz from huiyuan where huiyuan='"&huiyuan&"'")(0)%>
<%renzheng()%></a>								</li>
				<li><span class="ListHint">卖家信用:</span><%=buyxinyong%></li>
				<li><span class="ListHint">买家信用:</span><%=sellxinyong%></li>
				<li><span class="ListHint">　商品数:</span><%=numbers%></li>
				<li><span class="ListHint">创店时间:</span><%=sj%></li>
				<li><span class="ListHint">　　地址:</span><%=shopdz%></li>
			</ul>
	        <p>&nbsp; <span class="STYLE1"><a href="myshopfaq.jsp?shopid=<%=saferequest("shopid")%>">相关问题</a>&nbsp; <a href="shopguestbook.jsp?shopid=<%=saferequest("shopid")%>">店铺留言</a></span>&nbsp; <a href="shopshfw.jsp?shopid=<%=saferequest("shopid")%>"><strong>售后服务</strong></a></p>
	  </div>
		<div id="ShopAnnounceContainer">
			<div id="ShopAnnounce">
				<div id="ShopAnnounceTitle">店铺公告</div>
				<div id="ShopAnnounceContent">
				<marquee style="position:relative;" onMouseOver="this.stop()" onMouseOut="this.start()" scrollamount="1" scrolldelay="85" direction="up" behavior="scroll"  height="60">
<%Set rs = Server.CreateObject("ADODB.Recordset")
sql="Select top 6 * From user_news where userid="&saferequest("shopid")&" Order By id DESC"
rs.open sql,conn,3,1
if rs.eof and rs.bof then
Response.Write("暂无公告")
end if
do while not rs.eof%>
    <tr valign="middle" bgcolor="#f1f1f1"> 
 <td height="25"><li><a href="shopnews.jsp?shopid=<%=saferequest("shopid")%>&id=<%=rs("id")%>" target="_blank"><%=rs("bt")%></a>
 <%=rs("sj")%></li><br>
<%i=i+1
rs.MoveNext                                              
loop%></td>
      </tr>
    <tr align="center" valign="middle" bgcolor="#f1f1f1"> 
      <td height="25" colspan="5">
<%
rs.close:set rs=nothing%></td>
    </tr>
				  </marquee>
				</div>
			</div>
		</div>
		
		<div class="HackBox"></div>
	</div>
	
<!-- 推荐 -->
<div class="ReItem"><%
Response.Write "<table width=100% border=0 bgcolor=#ffe1eb align=center cellpadding=0 cellspacing=0><tr>"
set rs = conn.execute("select top 5 * from chanpin where cang=0 and p_zt=0 and tuijian=1 and userid="&saferequest("shopid")&" order by sj desc,id desc")

if not rs.eof Then

x=1
do while not rs.eof
If rs("fs")=0 Then
fangshi="一口价"
jiage="价格："&rs("jg2")&""
ElseIf rs("fs")=1 Then
fangshi="竞价"
jiage="价格："&rs("jg2")&""
ElseIf rs("fs")=2 Then
fangshi="议价"
jiage=""
End if
Response.Write "<td width=25% align=center>"&_
"<TABLE cellSpacing=2 bgcolor=#ffe1eb cellPadding=0 width=120 border=0><TBODY><TR><TD height=2></TD></TR>"&_
"<TR><TD width=120 height=80 align=center vAlign=middle><a href=../../goodsinfo.jsp?id="&encode(rs("id"))&" title="&rs("mc")&" onFocus=this.blur() target=_blank><img border=0 src=../../members/images/upimages/"&rs("xt")&" width=75 height=75></a></TD></TR>"&_
"<TR><TD width=120 height=30 align=center valign=middle><a href=../../goodsinfo.jsp?id="&encode(rs("id"))&" title="&rs("mc")&" target=_blank>"&InterceptString(rs("mc"),32)&"</a></TD></TR>"&_
"<TR><TD width=120 height=30 align=center valign=middle>"&fangshi&" &nbsp;&nbsp;"&jiage&"</TD></TR>"&_
"<TR><TD height=2></TD></TR></TBODY></TABLE></td>"
if x mod 5 = 0 then
Response.Write "</tr>"
end if
rs.movenext
x=x+1
loop
End if
rs.close
set rs=nothing
Response.Write "</table></div>"

%>
<!-- 推荐结束 -->
	
	<div id="ShopMain">
		<div id="MenuCol">
			<div id="ItemCategories">
				<div id="ItemCategoriesTitle">店铺类目</div>
				<div id="ItemCategoriesContent" >
					<!--#include file="../../dplmleft.jsp" -->
				</div>
			</div>
			<div id="LinkExchange">
				<div id="LinkExchangeTitle"  >友情链接</div>
				<div id="LinkExchangeContent">
	<marquee scrollamount=1 height=40 direction=up onMouseOver=stop() onMouseOut=start()>
	<table width="98%" border="0" cellpadding="0" cellspacing="0">
	<%  set rs=server.createobject("adodb.recordset")
		sql="select  * from ShopLink where shopid="&saferequest("shopid")&" order by SL_id desc"
		rs.open sql,conn,3,1
		if rs.eof and rs.bof then
		response.Write("暂无友情链接")
		rs.close
		else
		do while not rs.eof 	
		%>
		
		<tr><td>
		
		<img src="../../image/r3_1.gif" width="9" height="9">&nbsp;<a href="<%=rs("SL_url")%>" target="_blank"><%=rs("SL_name")%></a>
		
		</td></tr>
		
		<% 
			rs.movenext
		  	loop 
			rs.close
			set rs=nothing
			end if
		%>
		
	  </table>
		</marquee>			
					
					
					
				</div>
			</div>

			  <p align="center"><a href="http://www.yclife.cn/bbs/User/UserJoin.jsp"><img src="../../pics\2k6\frontpage\v1\freelogin.gif" width="114" height="40" border="0"></a><br>  
			    <br>    
	      <a href="../../members/shop.jsp"><img src="../../pics\2k6\frontpage\v1\freeshop.gif" width="114" height="40" border="0"></a></p>

		</div>
		
		
		<div id="ItemCol">
			<div id="SubNavBar" >
									<div class="FirstSelectedTab">
						<a name="pagebar"><%If saferequest("lb")="" Then %>所有商品<%else%><%=saferequest("lb")%><%End if%></a>
</div>
</div>
	  		<table width="98%" cellpadding="2" cellspacing="0">
        <tr valign="middle" bgcolor="BFEAFE">
          <td width="142" height="25" align="center" bgcolor="#FFCC66">商品图片</td>
          <td width="222" height="25" align="center" bgcolor="#FFCC66">商品名称</td>
          <td width="50" height="25" align="center" nowrap bgcolor="#FFCC66">出售方式</td>
          <td width="50" height="25" align="center" nowrap bgcolor="#FFCC66">价格</td>
          <td width="61" height="25" align="center" nowrap bgcolor="#FFCC66">支付宝</td>
          <td width="105" height="25" align="center" nowrap bgcolor="#FFCC66">剩余时间</td>
        </tr>
        <%Set rs=Server.CreateObject("ADODB.Recordset")
dim x
If saferequest("lbid")="" Then 
sql="select * from chanpin where p_zt=0 and cang=0 and userid="&saferequest("shopid")&" order by sj2 desc,id desc"
Else
sql="select * from chanpin where p_zt=0 and cang=0 and userlb="&userlbid&" and userid="&saferequest("shopid")&" order by sj desc,id asc"
End if
rs.open sql,conn,3,1 
if rs.eof then
response.write "暂无内容"
else
rs.PageSize =12 '每页记录条数
			iCount=rs.RecordCount '记录总数
			iPageSize=rs.PageSize
    		maxpage=rs.PageCount 
    		page=request("page")
    
    if Not IsNumeric(page) or page="" then
        page=1
    else
        page=cint(page)
    end if
        if page<1 then
    page=1
    elseif  page>maxpage then
    page=maxpage
    end if
        rs.AbsolutePage=Page
	if page=maxpage then
	x=iCount-(maxpage-1)*iPageSize
	else
	x=iPageSize
	end if
	
	For y=1 To x%>
	
		
        <tr>
          <td width="142" height="70" align="center"><a href="../../goodsinfo.jsp?id=<%=encode(rs("id"))%>"><img src="../../members/images/upimages/<%=rs("xt")%>" alt="<%=rs("jp")%>" width="85" height="75" border="0"></a>&nbsp;</td>
          <td style="word-break:break-all;"><div align="center"><%=rs("mc")%></div></td>
          <td width="50" align="center" nowrap><span style="word-break:break-all;">
            <%if rs("fs")=0 then%>一口价<%elseif rs("fs")=1 then%>竞价<%elseif rs("fs")=2 then%>议价<%end if%>
          </span></td>
          <td width="50" align="center" nowrap><span style="word-break:break-all;">
            <%=rs("jg1")%>元
          </span></td>
          <td width="61" align="center" nowrap>&nbsp;</td>
          <td width="105" align="center" nowrap><span style="word-break:break-all;">
            <%=DateDiff("h", now(), rs("sj2"))%>小时
          </span></td>
        </tr>

        <tr>
          <td height=1 colspan=6></td>
        </tr>
         <%x=y+1
rs.MoveNext                                              
next
		%>
      </table>
      <table width="98%" cellpadding="0" cellspacing="0">
        <tr>
          <td height="30" align="center"><%call PageControl(iCount,maxpage,page,"border=0 align=center","<p align=center>")
rs.close
set rs=nothing%><%End if%>
          </td>
        </tr>
      </table></div>


<!--#include file="../../members/mybottom.jsp" -->
   		
</body>
</html>
